cURL
curl https://api.aiql.io/patterns \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
patterns = client.patterns.list(workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const patterns = await client.patterns.list({ workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"instance_count": 0,
"needs_mapping": false,
"ontology_mapping": {
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
},
"instance_matching": {
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
},
"instance_summarization": {
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
}
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patterns
List Patterns
GET
/
patterns
cURL
curl https://api.aiql.io/patterns \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
patterns = client.patterns.list(workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const patterns = await client.patterns.list({ workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"instance_count": 0,
"needs_mapping": false,
"ontology_mapping": {
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
},
"instance_matching": {
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
},
"instance_summarization": {
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
}
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Query Parameters
Case-insensitive name filter.
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.